commit:     a1f9dc29b90c1cf2aae07dd637b27c635040ab1f
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Thu Mar 25 08:28:30 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Mar 25 13:58:37 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a1f9dc29

dev-python/spyder: version bump 4.2.5

Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-python/spyder/Manifest            |   1 +
 dev-python/spyder/spyder-4.2.5.ebuild | 253 ++++++++++++++++++++++++++++++++++
 2 files changed, 254 insertions(+)

diff --git a/dev-python/spyder/Manifest b/dev-python/spyder/Manifest
index 0a027208a95..694c1342d76 100644
--- a/dev-python/spyder/Manifest
+++ b/dev-python/spyder/Manifest
@@ -1,6 +1,7 @@
 DIST spyder-4.2.0.tar.gz 11840358 BLAKE2B 
26e4cd9865196fb39fa5b49a17f172b3000fe27c5ab6fb1b31ed56d41f118e4016b6ed97ce8cb1b39c65031fc11413f8e426876d3dc8d5af25f12428d0e0c481
 SHA512 
c1460e2fe9a37c0e6107657de71205682018d87737b3eac16ec92c32d979bf727a6c8955bd2700872b6e91159d1a1efc57cdea52ffc44604fe34b78094de6e7f
 DIST spyder-4.2.3.tar.gz 11539371 BLAKE2B 
aecd2e9772c52e644e9c0503195e380fffecdfaa5aea3f00a64e98a969faf3de4e0d8eb0515cc59893f28deb7733403826e90e36006ad7f8f4d67e8ef5e64543
 SHA512 
9e56efab8862c21e7496d45e813d28c4e9be583275352b0a6e0a58e99f6c0234fa9862da66705839beacb971dde9b6edc253405d9d62853a3c4c9c9991844846
 DIST spyder-4.2.4.tar.gz 11538634 BLAKE2B 
7d235c716dd39c250616264048d5f70b13b682024e1493f24f69ada3c0cee03f4da99dc5b58cecae8e98ca27313024c98184be1e398e5a4e5c231339100bac03
 SHA512 
723e8b9a030d620e19a17c16a9f52a1863f5f063985d3b805c9deaa836875d11a72a39ee690301a6ae65d634273ba25a897ec2f338e9cc082861c6c0f8413b98
+DIST spyder-4.2.5.tar.gz 11539071 BLAKE2B 
9d7a98da018aae934803d640995fe2dfa6bbb20bfc7140bd00f5e7a00a09c47922fefd8df84f4b217a50176ee190515da6f4cbf498a03cae68e2ac4f5ec70664
 SHA512 
081b047a45b7522a69b1b21a221ab5cdef47f87f36ed4423ff63297d205f924c1627517c50622acb2d10efa094bc506fed4ec88f861775d3f58e81ac6ef017ac
 DIST spyder-docs-5c9c8a3317045c2d301e05b751943be9b521d129.tar.gz 66692311 
BLAKE2B 
ec741a9cd830bc8a5776be1d52dcac9649c8abf33faec0ac8741d95625d8aeda2b8c0d2bdbef02c068a22ec62a4d5281a48e996530e1bd2e6de43b86e0a14ffe
 SHA512 
73bd05ef31f69ebd80bb488017998536c4ed0e63a331efe743d9d858b936df287253f333d09beac6d2b249a96e8f82538d321850a64b0941db3d0141122995eb
 DIST spyder-docs-78b25754c69a20643258821146e398ad5535c920.tar.gz 69167467 
BLAKE2B 
d2815d552002f329b5fac59329fba3b3b0cd592bcbdacc0878966919e44dbab29548533661e60a1b9b8fd763d57d1e4c2f761782ace1b0a814a5f0cec1f66af9
 SHA512 
10764367fd5f830d7a3620b9d9e7ec4ab74539c1f48326c0c40f7caff74a50401addc7609fe1558c57dac4649d0a214c0d2d77cecd100bd8574151134e49634d
 DIST spyder-docs-7fbdabcbc37fe696e4ad5604cdbf4023dfbe8b6c.tar.gz 58822544 
BLAKE2B 
9ddd662eb0e3b2845a15bc38a0ab994fcf43824a560cf635a29e16b5eb66407706a412ea50a2f8e5c0212675df3422ece649bd1e50e3ecd1c34ee5727f8a2df9
 SHA512 
ab30f287733681da0b1d15656a44cd320401330309efbff8f0a89f59a15d5c57532a2eab3e8353d8c3856eac0a393385a852663d6698d0a0d309def21d13933d

diff --git a/dev-python/spyder/spyder-4.2.5.ebuild 
b/dev-python/spyder/spyder-4.2.5.ebuild
new file mode 100644
index 00000000000..1ae8a57e116
--- /dev/null
+++ b/dev-python/spyder/spyder-4.2.5.ebuild
@@ -0,0 +1,253 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8} )
+# The warning that this is wrong is a false positive
+# Spyder has setuptools in install_requires
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit optfeature xdg distutils-r1
+
+# Commit of documentation to fetch
+DOCS_PV="78b25754c69a20643258821146e398ad5535c920"
+
+DESCRIPTION="The Scientific Python Development Environment"
+HOMEPAGE="
+       https://www.spyder-ide.org/
+       https://github.com/spyder-ide/spyder/
+       https://pypi.org/project/spyder/
+"
+SRC_URI="https://github.com/spyder-ide/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz
+       https://github.com/spyder-ide/${PN}-docs/archive/${DOCS_PV}.tar.gz -> 
${PN}-docs-${DOCS_PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# The test suite often hangs or does not work.
+# Technically spyder requires pyqt5<13, which
+# we do not have in ::gentoo any more. Likely
+# this is the reason many of the tests fail
+# or hang. RESTRICTing because IMO it is
+# not worth the several hours I spend every
+# single version bump checking which tests
+# do and do not work. Spyder itself works
+# fine with pyqt5>13.
+RESTRICT="test"
+
+# White space separated deps are expansion of python-language-server[all] dep
+# As the pyls ebuild does not add flags for optional runtime dependencies
+# we have to manually specify these desp instead of just depending on the [all]
+# flag. The indentation allows us to distinguish them from spyders direct deps.
+RDEPEND="
+       >=dev-python/atomicwrites-1.2.0[${PYTHON_USEDEP}]
+       >=dev-python/chardet-2.0.0[${PYTHON_USEDEP}]
+       >=dev-python/cloudpickle-0.5.0[${PYTHON_USEDEP}]
+       >=dev-python/diff-match-patch-20181111[${PYTHON_USEDEP}]
+       >=dev-python/intervaltree-3.0.2[${PYTHON_USEDEP}]
+       >=dev-python/ipython-7.6.0[${PYTHON_USEDEP}]
+       ~dev-python/jedi-0.17.2[${PYTHON_USEDEP}]
+       >=dev-python/jsonschema-3.2.0[${PYTHON_USEDEP}]
+       >=dev-python/keyring-17.0.0[${PYTHON_USEDEP}]
+       >=dev-python/nbconvert-4.0[${PYTHON_USEDEP}]
+       >=dev-python/numpydoc-0.6.0[${PYTHON_USEDEP}]
+       ~dev-python/parso-0.7.0[${PYTHON_USEDEP}]
+       >=dev-python/pexpect-4.4.0[${PYTHON_USEDEP}]
+       >=dev-python/pickleshare-0.4[${PYTHON_USEDEP}]
+       >=dev-python/psutil-5.3[${PYTHON_USEDEP}]
+       >=dev-python/pygments-2.0[${PYTHON_USEDEP}]
+       >=dev-python/pylint-1.0[${PYTHON_USEDEP}]
+       >=dev-python/python-language-server-0.36.2[${PYTHON_USEDEP}]
+
+       dev-python/autopep8[${PYTHON_USEDEP}]
+       >=dev-python/flake8-3.8.0[${PYTHON_USEDEP}]
+       >=dev-python/mccabe-0.6.0[${PYTHON_USEDEP}]
+       <dev-python/mccabe-0.7.0[${PYTHON_USEDEP}]
+       >=dev-python/pycodestyle-2.6.0[${PYTHON_USEDEP}]
+       <dev-python/pycodestyle-2.7.0[${PYTHON_USEDEP}]
+       >=dev-python/pydocstyle-2.0.0[${PYTHON_USEDEP}]
+       >=dev-python/pyflakes-2.2.0[${PYTHON_USEDEP}]
+       <dev-python/pyflakes-2.3.0[${PYTHON_USEDEP}]
+       dev-python/pylint[${PYTHON_USEDEP}]
+       >=dev-python/rope-0.10.5[${PYTHON_USEDEP}]
+       dev-python/yapf[${PYTHON_USEDEP}]
+
+       <dev-python/python-language-server-1.0.0[${PYTHON_USEDEP}]
+       >=dev-python/pyls-black-0.4.6[${PYTHON_USEDEP}]
+       >=dev-python/pyls-spyder-0.3.2[${PYTHON_USEDEP}]
+       >=dev-python/pyxdg-0.26[${PYTHON_USEDEP}]
+       >=dev-python/pyzmq-17.0.0[${PYTHON_USEDEP}]
+       >=dev-python/qdarkstyle-2.8[${PYTHON_USEDEP}]
+       <dev-python/qdarkstyle-3.0[${PYTHON_USEDEP}]
+       >=dev-python/qtawesome-0.5.7[${PYTHON_USEDEP}]
+       >=dev-python/qtconsole-5.0.3[${PYTHON_USEDEP}]
+       >=dev-python/QtPy-1.5.0[${PYTHON_USEDEP},svg,webengine]
+       >=dev-python/sphinx-0.6.6[${PYTHON_USEDEP}]
+       >=dev-python/spyder-kernels-1.10.2[${PYTHON_USEDEP}]
+       <dev-python/spyder-kernels-1.11.0[${PYTHON_USEDEP}]
+       >=dev-python/textdistance-4.2.0[${PYTHON_USEDEP}]
+       >=dev-python/three-merge-0.1.1[${PYTHON_USEDEP}]
+       >=dev-python/watchdog-0.10.3[${PYTHON_USEDEP}]
+       <dev-python/watchdog-2.0.0[${PYTHON_USEDEP}]
+
+       dev-python/PyQt5[${PYTHON_USEDEP}]
+       dev-python/PyQtWebEngine[${PYTHON_USEDEP}]
+"
+
+BDEPEND="test? (
+       dev-python/cython[${PYTHON_USEDEP}]
+       dev-python/flaky[${PYTHON_USEDEP}]
+       dev-python/matplotlib[tk,${PYTHON_USEDEP}]
+       dev-python/mock[${PYTHON_USEDEP}]
+       dev-python/pandas[${PYTHON_USEDEP}]
+       dev-python/pillow[${PYTHON_USEDEP}]
+       <dev-python/pytest-6.0[${PYTHON_USEDEP}]
+       dev-python/pytest-lazy-fixture[${PYTHON_USEDEP}]
+       dev-python/pytest-mock[${PYTHON_USEDEP}]
+       dev-python/pytest-ordering[${PYTHON_USEDEP}]
+       dev-python/pytest-qt[${PYTHON_USEDEP}]
+       dev-python/pytest-xvfb[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       dev-python/scipy[${PYTHON_USEDEP}]
+       dev-python/sympy[${PYTHON_USEDEP}]
+)"
+
+# Based on the courtesy of Arfrever
+# This patch removes a call to update-desktop-database during build
+# This fails because access is denied to this command during build
+PATCHES=(
+       "${FILESDIR}/${PN}-4.2.1-build.patch"
+       "${FILESDIR}/${PN}-4.1.5-doc-theme-renamed.patch"
+)
+
+DOCS=(
+       "AUTHORS.txt"
+       "Announcements.md"
+       "CHANGELOG.md"
+       "CODE_OF_CONDUCT.md"
+       "CONTRIBUTING.md"
+       "NOTICE.txt"
+       "README.md"
+       "RELEASE.md"
+)
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs/doc dev-python/sphinx-panels 
dev-python/pydata-sphinx-theme dev-python/sphinx-multiversion
+
+python_prepare_all() {
+       # move docs into workdir
+       mv ../spyder-docs-${DOCS_PV}* docs || die
+
+       # these deps are packaged separately: dev-python/spyder-kernels, 
dev-python/python-language-server
+       rm external-deps/* -r || die
+       # runs against things packaged in external-deps dir
+       rm conftest.py || die
+
+       # do not depend on pyqt5<13
+       sed -i -e '/pyqt5/d' \
+               -e '/pyqtwebengine/d' \
+                       setup.py || die
+
+       # do not check deps, fails because we removed pyqt5 dependency above
+       sed -i -e 
's:test_dependencies_for_spyder_setup_install_requires_in_sync:_&:' \
+               spyder/tests/test_dependencies_in_sync.py || die
+
+       # can't check for update, need network
+       rm spyder/workers/tests/test_update.py || die
+
+       # skip online test
+       rm spyder/widgets/github/tests/test_github_backend.py || die
+
+       # KeyError: 'conda: base', need conda??
+       sed -i -e 's:test_status_bar_conda_interpreter_status:_&:' \
+               spyder/widgets/tests/test_status.py || die
+
+       # assert 2 == 1
+       sed -i -e 's:test_pylint_max_history_conf:_&:' \
+               spyder/plugins/pylint/tests/test_pylint.py || die
+
+       # https://bugs.gentoo.org/747211
+       sed -i -e 's:test_loaded_and_closed_signals:_&:' \
+               spyder/plugins/projects/tests/test_plugin.py || die
+
+       # AssertionError: assert '' == 'This is some test text!'
+       sed -i -e 's:test_tab_copies_find_to_replace:_&:' \
+               spyder/plugins/editor/widgets/tests/test_editor.py || die
+
+       # hangs till forever
+       sed -i -e 's:test_help_opens_when_show_tutorial_full:_&:' \
+               spyder/app/tests/test_mainwindow.py || die
+
+       # Assertion error, can't connect/remember inside ebuild environment
+       rm spyder/plugins/ipythonconsole/widgets/tests/test_kernelconnect.py || 
die
+
+       # AssertionError: waitUntil timed out in 20000 miliseconds
+       sed -i -e 's:test_pdb_multiline:_&:' \
+               spyder/plugins/ipythonconsole/tests/test_ipythonconsole.py || 
die
+
+       # AssertionError: assert 'if True:\n    0\n    ' == 'if True:\n    0'
+       sed -i -e 's:test_undo_return:_&:' \
+               spyder/plugins/editor/widgets/tests/test_codeeditor.py || die
+
+       # assert False is True
+       sed -i -e 's:test_range_indicator_visible_on_hover_only:_&:' \
+               spyder/plugins/editor/panels/tests/test_scrollflag.py || die
+
+       # AssertionError: waitUntil timed out in 10000 miliseconds
+       sed -i -e 's:test_get_hints:_&:' \
+               spyder/plugins/editor/widgets/tests/test_hints_and_calltips.py 
|| die
+
+       # Fatal Python error: Aborted
+       sed -i -e 's:test_module_completion:_&:' \
+               spyder/utils/introspection/tests/test_modulecompletion.py || die
+
+       # assert 0 > 0
+       sed -i -e 's:test_maininterpreter_page:_&:' \
+               spyder/preferences/tests/test_config_dialog.py || die
+
+       # This hangs forever
+       sed -i -e 's:test_load_kernel_file:_&:' \
+               -e 's:test_load_kernel_file_from_location:_&:' \
+               -e 's:test_load_kernel_file_from_id:_&:' \
+               spyder/plugins/ipythonconsole/tests/test_ipythonconsole.py || 
die
+
+       distutils-r1_python_prepare_all
+}
+
+# Calling pytest directly makes the tests freeze after completing even if 
successful
+# Exit code is nonzero even upon success, so can't add || die here
+# test results should be checked for success manually
+python_test() {
+       ${EPYTHON} runtests.py
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+
+       elog "To get additional features, optional runtime dependencies may be 
installed:"
+               optfeature "2D/3D plotting in the Python and IPython consoles" 
dev-python/matplotlib
+               optfeature "View and edit DataFrames and Series in the Variable 
Explorer" dev-python/pandas
+               optfeature "View and edit two or three dimensional arrays in 
the Variable Explorer" dev-python/numpy
+               optfeature "Symbolic mathematics in the IPython console" 
dev-python/sympy
+               optfeature "Import Matlab workspace files in the Variable 
Explorer" dev-python/scipy
+               optfeature "Run Cython files in the IPython console" 
dev-python/cython
+               optfeature "The hdf5/h5py plugin" dev-python/h5py
+               optfeature "The line profiler plugin" 
dev-python/spyder-line-profiler
+               optfeature "The memory profiler plugin" 
dev-python/spyder-memory-profiler
+               # spyder-autopep8 does not have a release (yet)
+               # and are not compatible with >=spyder-4.0.0 at the moment
+               # optfeature "The autopep8 plugin" dev-python/spyder-autopep8
+               optfeature "Vim key bindings" dev-python/spyder-vim
+               optfeature "Unittest support" dev-python/spyder-unittest
+               optfeature "Jupyter notebook support" dev-python/spyder-notebook
+               optfeature "System terminal inside spyder" 
dev-python/spyder-terminal
+               # spyder-reports not yet updated to >=spyder-4.0.0
+               # optfeature "Markdown reports using Pweave" 
dev-python/spyder-reports
+
+       elog ""
+       elog "Spyder currently only works with PyQt5 as QtPy backend, PySide2 
is not supported."
+       elog "Please ensure that 'eselect qtpy' is set to PyQt5."
+       elog ""
+}

Reply via email to